Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class KernelAddress

    java.lang.Object
      madkit.kernel.KernelAddress

All Implemented Interfaces:
  java.io.Serializable

    public class KernelAddress

extends java.lang.Object
implements java.io.Serializable

This class identifies a Kernel Address. It is the naming of the "home agent platform" in a transport address or communication scheme (as proposed in FIPA-1999-17). The syntax is now "host:id" but will probably change to "mka://host/id" to map better to the FIPA specification

Version:
  d6 - 09/01/97
Author:
  Olivier Gutknecht
See Also:
  Serialized Form

Constructor Summary
`KernelAddress(boolean ipnumber)` Defines a new unique KernelAddress on the local host
`KernelAddress(boolean ipnumber, java.lang.String ipaddress)`
`KernelAddress(java.lang.String def)` Tries to parse an KernelAddress from a string representation.

Method Summary
`void` | `disableMobility()`
`void` | `enableMobility()`
`boolean` | `equals(java.lang.Object o)` Compares two KernelAdresses.
`java.lang.String` | `getHost()` Return the host name encoded in this KernelAddress
`java.lang.String` | `getID()` Return the anonymous ID associated
`java.lang.String` | `getInformation()`
`java.lang.String` | `getKernelName()`
`boolean` | `isLocal()` Check is this address is a local address.
`void` | `setKernelName(java.lang.String name)`
`boolean` | `supportMobility()`
`java.lang.String` | `toString()` Returns the canonical string representation for this platform address

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KernelAddress

    public KernelAddress(boolean ipnumber)

  Defines a new unique KernelAddress on the local host

  Parameters:
    `ipnumber` - define is the host must be in numeric form or resolved though the DNS

### KernelAddress

    public KernelAddress(boolean ipnumber,
                         java.lang.String ipaddress)

### KernelAddress

    public KernelAddress(java.lang.String def)
                  throws InvalidAddressException

  Tries to parse an KernelAddress from a string representation. The official format is "a:b" (with a an Internet host and an b unique ID )

  Parameters:
    `def` - string representation of Kernel address
  Throws:
    `InvalidAddressException` - if the string cannot be parsed in the KernelAddress String format

Method Detail

### isLocal

    public boolean isLocal()

  Check is this address is a local address.

  Returns:
    true, if the address belongs to this kernel

### equals

    public boolean equals(java.lang.Object o)

  Compares two KernelAdresses.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - other address (can be void)
  Returns:
    true, if equals

### getHost

    public java.lang.String getHost()

  Return the host name encoded in this KernelAddress

### getID

    public java.lang.String getID()

  Return the anonymous ID associated

### toString

    public java.lang.String toString()

  Returns the canonical string representation for this platform address

  Overrides:
    `toString` in class `java.lang.Object`

### getInformation

    public java.lang.String getInformation()

### setKernelName

    public void setKernelName(java.lang.String name)

### getKernelName

    public java.lang.String getKernelName()

### enableMobility

    public void enableMobility()

### disableMobility

    public void disableMobility()

### supportMobility

    public boolean supportMobility()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.